From 5226bbe1eac49bf072ce06b00d20a1aab3ea8529 Mon Sep 17 00:00:00 2001
From: JiaoShuntian <jiaoshuntian@highgo.com>
Date: Fri, 7 Feb 2025 14:42:50 +0800
Subject: pg_amcheck prevent potential memory leak by adding PQclear before
 disconnectDatabase

---
 src/bin/pg_amcheck/pg_amcheck.c | 1 +
 1 file changed, 1 insertion(+)

diff --git a/src/bin/pg_amcheck/pg_amcheck.c b/src/bin/pg_amcheck/pg_amcheck.c
index c5ec25be22..996833ed40 100644
--- a/src/bin/pg_amcheck/pg_amcheck.c
+++ b/src/bin/pg_amcheck/pg_amcheck.c
@@ -587,6 +587,7 @@ main(int argc, char *argv[])
 			/* Querying the catalog succeeded, but amcheck is missing. */
 			pg_log_warning("skipping database \"%s\": amcheck is not installed",
 						   PQdb(conn));
+			PQclear(result);
 			disconnectDatabase(conn);
 			conn = NULL;
 			continue;
-- 
2.43.5

